---
title: Release 2020-09-08
menuTitle: 2020-09-08
any: true
description: >-
  Changelog for Release 2020-09-08 (oso 0.5.2, django-oso 0.1.0, flask-oso
  0.2.0) containing new features, bug fixes, and more.
---

## `oso` 0.5.2

### New features

#### Support for constructors with both positional and keyword arguments ([#405](https://github.com/osohq/oso/pull/405))

* In languages that support both positional and keyword arguments (currently
  Python and Ruby), Oso now supports registering classes with constructors that
  use both.
* The syntax for calling a constructor with mixed arguments from an Oso policy
  is:

    ```polar
    new MyClass(1, 2, foo: 3)
    ```

* As with Python and Ruby, positional arguments must come before keyword
  arguments.
* For more, see documentation for the [`new` operator](polar-syntax#new).

### Other bugs & improvements

* The Node.js library will now throw an `InvalidConstructorError` when
  attempting to register a non-constructable object via `registerClass`.
  ([#392](https://github.com/osohq/oso/pull/392))
* Rule indexing performance improvements.
  ([#409](https://github.com/osohq/oso/pull/409))
* Standardize handling of ±∞ and NaN across all language libraries.
  ([#410](https://github.com/osohq/oso/pull/410))
* Better warnings for unknown specializers that are similar to built-in types.
  ([#403](https://github.com/osohq/oso/pull/403))
* Fix an issue with `readline`’s calculation of the cursor position in the
  Python REPL on Linux. ([#397](https://github.com/osohq/oso/pull/397))

## `django-oso` 0.1.0 ([#395](https://github.com/osohq/oso/pull/395))

The new [`django-oso`](https://pypi.org/project/django-oso/) package makes it easy to use Oso with Django.  It includes
middleware for using Oso with Django and authorization functions designed to
work with Django views.

## `flask-oso` 0.2.0

Bumped the minimum required version of the `oso` dependency.
